com.corticon.rulesemf.canonicalvocabularymodel.metadata.java

## Interface JavaFactory

- All Superinterfaces:
    org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface JavaFactory
      extends org.eclipse.emf.ecore.EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `JavaPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JavaFactory` | `eINSTANCE` The singleton instance of the factory

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AssociationMetadata` | `createAssociationMetadata()` Returns a new object of class 'Association Metadata'
    `AttributeMetadata` | `createAttributeMetadata()` Returns a new object of class 'Attribute Metadata'
    `ClassMetadata` | `createClassMetadata()` Returns a new object of class 'Class Metadata'
    `EnumMetadata` | `createEnumMetadata()` Returns a new object of class 'Enum Metadata'
    `JavaMetadata` | `createJavaMetadata()` Returns a new object of class 'Metadata'
    `JavaMetadataNode` | `createJavaMetadataNode()` Returns a new object of class 'Metadata Node'
    `MemberMetadata` | `createMemberMetadata()` Returns a new object of class 'Member Metadata'
    `PackageMetadata` | `createPackageMetadata()` Returns a new object of class 'Package Metadata'
    `JavaPackage` | `getJavaPackage()` Returns the package supported by this factory

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final JavaFactory eINSTANCE

      The singleton instance of the factory.

  - ### Method Detail

    - #### createJavaMetadata

          JavaMetadata createJavaMetadata()

      Returns a new object of class 'Metadata'.
      Returns:
        a new object of class 'Metadata'.

    - #### createJavaMetadataNode

          JavaMetadataNode createJavaMetadataNode()

      Returns a new object of class 'Metadata Node'.
      Returns:
        a new object of class 'Metadata Node'.

    - #### createPackageMetadata

          PackageMetadata createPackageMetadata()

      Returns a new object of class 'Package Metadata'.
      Returns:
        a new object of class 'Package Metadata'.

    - #### createClassMetadata

          ClassMetadata createClassMetadata()

      Returns a new object of class 'Class Metadata'.
      Returns:
        a new object of class 'Class Metadata'.

    - #### createMemberMetadata

          MemberMetadata createMemberMetadata()

      Returns a new object of class 'Member Metadata'.
      Returns:
        a new object of class 'Member Metadata'.

    - #### createAttributeMetadata

          AttributeMetadata createAttributeMetadata()

      Returns a new object of class 'Attribute Metadata'.
      Returns:
        a new object of class 'Attribute Metadata'.

    - #### createAssociationMetadata

          AssociationMetadata createAssociationMetadata()

      Returns a new object of class 'Association Metadata'.
      Returns:
        a new object of class 'Association Metadata'.

    - #### createEnumMetadata

          EnumMetadata createEnumMetadata()

      Returns a new object of class 'Enum Metadata'.
      Returns:
        a new object of class 'Enum Metadata'.

    - #### getJavaPackage

          JavaPackage getJavaPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.